---
title: Account API
slug: bigboxapi/account-api
docTags: 
createdAt: 2024-07-22T08:01:06.003Z
---

# Account API

<font color="#52c41a">`GET`</font>  `/account`

The BigBox API Account API allows you to check the number of requests made in the current month. There is no charge for calls made to the Account API.

The Account API also shows current platform status.

:::CodeblockTabs
HTTP

```HTTP
https://api.bigboxapi.com/account?api_key=demo
```

```curl
$ curl --get https://api.bigboxapi.com/account \
  -d api_key="demo"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo"
}

// make the http GET request to BigBox API
axios.get('https://api.bigboxapi.com/account', { params })
  .then(response => {

    // print the JSON response from BigBox API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json
    
# set up the request parameters
params = {
  'api_key': 'demo'
}

# make the http GET request to BigBox API
api_result = requests.get('https://api.bigboxapi.com/account', params)

# print the JSON response from BigBox API
print(json.dumps(api_result.json()))
```

```php
<?php

        # set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo'
]);

# make the http GET request to BigBox API
$ch = curl_init(sprintf('%s?%s', 'https://api.bigboxapi.com/account', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BigBox API
echo $api_result;

?>
```
:::

:::hint{type="info"}
To view BigBox API JSON results clearly in your browser we recommend these extensions for [Chrome](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc) and [Firefox](https://addons.mozilla.org/en-GB/firefox/addon/jsonview/)
:::

***

### Parameters

The Account API takes a single parameter, the `api_key` to retrieve account information from.

| `Parameter`     | `Required`       | `Description`                       |
| --------------- | ---------------- | ----------------------------------- |
| `api_key`<br /> | `required`<br /> | The API key for your account.<br /> |

### Response

The Account API returns structured JSON showing your account details and platform status. The  `usage_history`  property contains detailed credit usage history for the past 3 months:

```json
{
  "request_info": {
    "success": true
  },
  "account_info": {
    "api_key": "API_KEY",
    "name": "John Smith",
    "email": "john.smith@example.com",
    "plan": "Plan Name",
    "timezone": "(UTC+01:00) Sarajevo, Skopje, Warsaw, Zagreb",
    "credits_used": 115,
    "credits_limit": 15000,
    "credits_remaining": 14885,
    "credits_reset_at": "2020-01-01T00:00:00.000Z",
    "destinations_used": 0,
    "destinations_limit": 50,
    "destinations_available": 50,
    "collections_used": 0,
    "collections_limit": 10000,
    "collections_available": 10000,
    "account_balance_usd": 88.5,
    "account_balance_message": "Your Account Balance is used to pay any Overage charges (to avoid multiple small transactions being made to your payment card). You can top up your Account Balance on the Account page of the Dashboard. Your Account Balance is not used for your monthly Plan payment.",
    "overage_allowed": true,
    "overage_enabled": true,
    "overage_limit": 5000000,
    "status": [
      {
        "component": "component name",
        "status": "operational"
      }
    ],
    "usage_history": [
      {
        "month": "January",
        "year": 2020,
        "month_number": 1,
        "is_current_month": true,
        "credits_total_for_month": 115,
        "credits_total_per_day": {
          "1": 115,
          "2": 0,
          "3": 0,
          "4": 0,
          "5": 0,
          "6": 0
        }
      }
    ]
  }
}
```

